/*
 * geometry.h
 *
 *  Created on: 12/06/2013
 *      Author: timothyw
 */

#ifndef HOLE_DETECTOR_GEOMETRY_H_
#define HOLE_DETECTOR_GEOMETRY_H_

#include <crosbot/data.hpp>
#include <crosbot/geometry.hpp>

namespace casualty {

class PolarPoint3D : public crosbot::Point3D {
public:
    double dist;
    double theta;
    double phi;

    PolarPoint3D() {};
    PolarPoint3D(const PolarPoint3D& p);
    PolarPoint3D(Point3D& p);
    ~PolarPoint3D();
};

class PolarColouredPoint : public crosbot::ColouredPoint {
public:
    double dist;
    double theta;
    double phi;

    PolarColouredPoint(crosbot::ColouredPoint& p);
    PolarColouredPoint(crosbot::Point3D& p);
    ~PolarColouredPoint();
};

} // namespace casualty

#endif /* HOLE_DETECTOR_GEOMETRY_H_ */
